View Issue Details

IDProjectCategoryView StatusLast Update
0002005DrawingFeaturepublic2015-12-15 13:18
Reportertriplus Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04
Product Version 
Target VersionFixed in Version0.16 
Summary0002005: Branded Drawing Templates
DescriptionI added FreeCAD Logo to the set of Plain and ISO7200 Drawing Templates. I used non-color variant for ISO7200 set. There is simple "switch" inside drawing templates that user can use to control (text editor) and to show/hide the FreeCAD logo (style="display:none").

A4_Landscape_ISO7200.svg is not recommended size but nonetheless FreeCAD users will use it quite often. I renamed current one to a4_Landscape_ISO7200.svg (renamed and added to ZIP file) and it will not be shown in drop-down menu. I think it should stay for future reference if anybody else will work on drawing templates to have more reference. I added new A4_Landscape_ISO7200.svg drawing template and made a "compact variant" of titleblock for it.
TagsNo tags attached.

Relationships

child of 0002065 closedyorik FreeCAD DXF Drawing Templates 

Activities

triplus

2015-03-13 23:44

developer  

BrandedTemplates.zip (23,978 bytes)

triplus

2015-03-13 23:44

developer  

BrandedTemplates.png (41,243 bytes)
BrandedTemplates.png (41,243 bytes)

triplus

2015-03-16 00:15

developer   ~0005876

I had some spare time over the weekend and i worked on mentioned set of drawing templates a bit more. In general it was about polishing. For example Supplementary information field now has more standard/sensible line spacing and as result additional 2 lines of text are now possible (now 6 before 4). FreeCAD logo (non-color variant) has the same line weight as the rest of the titleblock and it is now transparent instead of white. Suggested time format was already altered to more sensible default...

I think for now this set of templates should work OK. In the future when DW advances drawing templates can follow the progress. For example font sizes to take into consideration the size of the drawing and based on that to use standard/sensible defaults for font size.

About A4 Landscape ISO7200 drawing template:

There is no point in having 20mm left margin on left edge for this one. It is already A4 size therefore there isn't any folding to A4 size involved. Filing A4 Landscape ISO7200 drawing template by using left edge for making punch holes doesn’t make much sense. A4 Landscape ISO7200 template i made has 10mm margin on all edges. Users following standard recommendations will probably use A4 Portrait drawing template and add orientation marks on it. To make and view it as A4 landscape technical drawing!

A4 Landscape ISO7200 drawing template got a bit more polishing from my initial version to resolve some issues like overlapping text and a bit to tiny font.

Anyway to sum it up:
- I consider the work done from this feature/pull request point of view.
- In my opinion there is additional value added and it would make sense to merge this before FreeCAD 0.15 is released.

BrandedTemplatesFinal.zip is the only package that should get merged. Included drawing templates are updated version of already included drawing templates and no new ones are added!

Cheers!

triplus

2015-03-16 00:19

developer  

BrandedTemplatesFinal.zip (24,020 bytes)

triplus

2015-04-08 01:21

developer   ~0005975

Hi.

What is status on this pull request? Will BrandedTemplatesFinal.zip get merged or not?

P.S. I was thinking of doing DXF version to supplement SVG drawing templates as FreeCAD has two drawing template systems. Users exporting drawings to DXF would probably like to have and expect drawing template is exported.

yorik

2015-04-10 15:19

administrator   ~0005993

I'm not too sure what is needed here? What is the version of the file to be added? Can you maybe delete the older one so there is no confusion? Also, do these templates replace the existing ones?

triplus

2015-04-10 15:35

developer   ~0005994

Content of BrandedTemplatesFinal.zip should be merged. Everything else is outdated.

(I don't have permission to delete outdated BrandedTemplates.zip file.)

Yes, the templates will replace existing ones. In a week or two i will open new report and add supplementary DXF drawing templates to be merged.

Cheers.

yorik

2015-04-10 18:57

administrator   ~0005996

Ok, will merge!

Related Changesets

FreeCAD: master bf324049

2015-04-23 00:01:55

yorik

Details Diff
added new set of Drawing templates - fixes 0002065 0002043 0002005 Affected Issues
0002005, 0002043, 0002065
mod - src/Mod/Draft/importDXF.py Diff File
add - src/Mod/Drawing/Templates/A0_Landscape_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A0_Landscape_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A0_Landscape_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A0_Landscape_plain.svg Diff File
add - src/Mod/Drawing/Templates/A0_Portrait_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A0_Portrait_plain.svg Diff File
add - src/Mod/Drawing/Templates/A1_Landscape_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A1_Landscape_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A1_Landscape_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A1_Landscape_plain.svg Diff File
add - src/Mod/Drawing/Templates/A1_Portrait_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A1_Portrait_plain.svg Diff File
add - src/Mod/Drawing/Templates/A2_Landscape_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A2_Landscape_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A2_Landscape_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A2_Landscape_plain.svg Diff File
add - src/Mod/Drawing/Templates/A2_Portrait_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A2_Portrait_plain.svg Diff File
mod - src/Mod/Drawing/Templates/A3_Landscape.dxf Diff File
mod - src/Mod/Drawing/Templates/A3_Landscape.svg Diff File
add - src/Mod/Drawing/Templates/A3_Landscape_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A3_Landscape_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A3_Landscape_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A3_Landscape_plain.svg Diff File
add - src/Mod/Drawing/Templates/A3_Portrait_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A3_Portrait_plain.svg Diff File
mod - src/Mod/Drawing/Templates/A4_Landscape.dxf Diff File
mod - src/Mod/Drawing/Templates/A4_Landscape.svg Diff File
add - src/Mod/Drawing/Templates/A4_Landscape_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A4_Landscape_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A4_Landscape_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A4_Landscape_plain.svg Diff File
add - src/Mod/Drawing/Templates/A4_Portrait_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A4_Portrait_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A4_Portrait_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A4_Portrait_plain.svg Diff File

Issue History

Date Modified Username Field Change
2015-03-13 23:44 triplus New Issue
2015-03-13 23:44 triplus File Added: BrandedTemplates.zip
2015-03-13 23:44 triplus File Added: BrandedTemplates.png
2015-03-16 00:15 triplus Note Added: 0005876
2015-03-16 00:19 triplus File Added: BrandedTemplatesFinal.zip
2015-04-08 01:21 triplus Note Added: 0005975
2015-04-10 15:19 yorik Note Added: 0005993
2015-04-10 15:35 triplus Note Added: 0005994
2015-04-10 18:56 yorik Assigned To => yorik
2015-04-10 18:56 yorik Status new => assigned
2015-04-10 18:57 yorik Note Added: 0005996
2015-04-21 20:01 yorik Relationship added child of 0002065
2015-04-22 22:11 yorik Changeset attached => FreeCAD Master master bf324049
2015-04-22 22:11 yorik Status assigned => closed
2015-04-22 22:11 yorik Resolution open => fixed
2015-12-15 13:18 yorik Fixed in Version => 0.16